GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Search TaxpayerGET
View and Track ReturnsGET
Get PreferenceGET
Search Taxpayers list By PANGET
Unregistered Applicants APIGET
Unregistered Applicants ValidationGET
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

GSTR-1, 3B & 9 Filing Status by GSTIN

GEThttps://apisandbox.whitebooks.in/public/rettrack

To view and track Returns status

Parameters

query parameters
gstinstringrequired
GSTIN of the taxpayer
fystringrequired
Financial Year (YYYY-YY)
typestringoptional
Return Type Sample Value(R1)
emailstringrequired
Email
header parameters
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /public/rettrack. Required parameters: gstin (query parameter), fy (query parameter), email (query parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For View and Track Returns (GET /public/rettrack), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
To view and track Returns status
GET/public/rettrack
1const response = await fetch('https://apisandbox.whitebooks.in/public/rettrack?gstin=value&fy=value&type=value&email=value', {
2 method: 'GET',
3 headers: {
4 client_id: "value",
5 client_secret: "value"
6},
7});
8
9const data = await response.json();
10console.log(data);
No example available.